#define TSPACKET_MAX		(188)

typedef struct {
	unsigned int packet_start_code_prefix;
	unsigned char stream_id;
	unsigned int pes_packet_length;
	unsigned char section_number;

	unsigned int pid;

	/* ここから↑はhdr==1時のみ */
	unsigned char hdr;
	unsigned char buf[TSPACKET_MAX];
} Pesdata;

#define GetPes(obj, pes) {\
	Data_Get_Struct((obj), Pesdata, (pes));\
	if ((pes) == 0) rb_raise(rb_ePesError, "closed Pes");\
}

extern VALUE rb_cPes, rb_ePesError;

VALUE peshdr_create(unsigned char *packet, int len, unsigned int pid);
VALUE pesbdy_create(unsigned char *packet, int len, unsigned int pid);

void Init_pes(void);

/*
 * Local Variables:
 * c-basic-offset: 4
 * indent-tabs-mode: t
 * tab-width: 4
 * End:
 */
